メインコンテンツへスキップ
PUT
/
data-studio
/
data-source
/
2026-09-beta
/
{datasourceId}
データソースを更新
curl --request PUT \
  --url https://api.hubapi.com/data-studio/data-source/2026-09-beta/{datasourceId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: multipart/form-data' \
  --form file='@example-file' \
  --form 'request=<string>'
import requests

url = "https://api.hubapi.com/data-studio/data-source/2026-09-beta/{datasourceId}"

files = { "file": ("example-file", open("example-file", "rb")) }
payload = { "request": "<string>" }
headers = {"Authorization": "Bearer <token>"}

response = requests.put(url, data=payload, files=files, headers=headers)

print(response.text)
const form = new FormData();
form.append('file', '<string>');
form.append('request', '<string>');

const options = {method: 'PUT', headers: {Authorization: 'Bearer <token>'}};

options.body = form;

fetch('https://api.hubapi.com/data-studio/data-source/2026-09-beta/{datasourceId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "datasourceId": 123,
  "datasourceName": "<string>",
  "previewLink": "<string>"
}
{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}

Supported products

承認

Authorization
string
header
必須

The access token received from the authorization server in the OAuth 2.0 flow.

パスパラメータ

datasourceId
integer<int64>
必須

データソースのID。

ボディ

multipart/form-data
file
file
request
string

レスポンス

successful operation

datasourceId
integer<int64>
必須

データソースの一意の識別子です。int64形式の整数です。

datasourceName
string
必須

データソースの名前です。文字列です。

データソースのプレビューリンクを提供するURL文字列。

最終更新日 2026年4月10日